qpid::Url Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions
qpid::Url Struct Reference

An AMQP URL contains a list of addresses. More...

`#include <qpid/Url.h>`

List of all members.

## Classes
struct | Invalid
## Public Member Functions
std::string | str () const
| Convert to string form.
| Url ()
| Empty URL.
| Url (const Address &addr)
| URL containing a single address.
| Url (const std::string &url)
| Parse url, throw Invalid if invalid.
| Url (const std::string &url, const std::string &defaultProtocol)
| Parse url, throw Invalid if invalid.
| Url (const char *url)
| Parse url, throw Invalid if invalid.
Url & | operator= (const char *s)
Url & | operator= (const std::string &s)
void | throwIfEmpty () const
| Throw Invalid if the URL does not contain any addresses.
void | parse (const char *url)
  | Replace contents with parsed url Exceptions:
  Invalid | if the url is invalid.
void | parse (const char *url, const std::string &defaultProtocol)
QPID_COMMON_INLINE_EXTERN void | parse (const std::string &url)
void | parseNoThrow (const char *url)
| Replace contesnts with parsed URL.
void | parseNoThrow (const char *url, const std::string &defaultProtocol)
void | setUser (const std::string &)
void | setPass (const std::string &)
std::string | getUser () const
std::string | getPass () const
## Static Public Member Functions
static Url | getHostNameUrl (uint16_t port)
| Url with the hostname as returned by gethostname(2)
static Url | getIpAddressesUrl (uint16_t port)
| Url with local IP address(es), may be more than one address on a multi-homed host.
static void | addProtocol (const std::string &tag)
| Add a protocol tag to be recognzed in URLs.

## Detailed Description

An AMQP URL contains a list of addresses.

## Constructor & Destructor Documentation

qpid::Url::Url | ( |  | ) | `[inline]`

Empty URL.

Definition at line 48 of file Url.h.

qpid::Url::Url | ( | const Address & | addr | ) | `[inline, explicit]`

URL containing a single address.

Definition at line 51 of file Url.h.

qpid::Url::Url | ( | const std::string & | url | ) | `[inline, explicit]`

Parse url, throw Invalid if invalid.

Definition at line 54 of file Url.h.

References parse().

qpid::Url::Url | ( | const std::string & | url,
|  | const std::string & | defaultProtocol
| ) |  | `[inline, explicit]`

Parse url, throw Invalid if invalid.

Definition at line 56 of file Url.h.

References parse().

qpid::Url::Url | ( | const char * | url | ) | `[inline, explicit]`

Parse url, throw Invalid if invalid.

Definition at line 59 of file Url.h.

References parse().

## Member Function Documentation

static void qpid::Url::addProtocol | ( | const std::string & | tag | ) | `[static]`

Add a protocol tag to be recognzed in URLs.

Only for use by protcol plug-in initializers.

static Url qpid::Url::getHostNameUrl | ( | uint16_t | port | ) | `[static]`

Url with the hostname as returned by gethostname(2)

static Url qpid::Url::getIpAddressesUrl | ( | uint16_t | port | ) | `[static]`

Url with local IP address(es), may be more than one address on a multi-homed host.

std::string qpid::Url::getPass | ( |  | ) | const

std::string qpid::Url::getUser | ( |  | ) | const

Url& qpid::Url::operator= | ( | const char * | s | ) | `[inline]`

Definition at line 61 of file Url.h.

References parse().

Url& qpid::Url::operator= | ( | const std::string & | s | ) | `[inline]`

Definition at line 62 of file Url.h.

References parse().

void qpid::Url::parse | ( | const char * | url | ) |

Replace contents with parsed url

Exceptions:

  Invalid | if the url is invalid.

Referenced by Url(), and operator=().

void qpid::Url::parse | ( | const char * | url,
|  | const std::string & | defaultProtocol
| ) |  |

QPID_COMMON_INLINE_EXTERN void qpid::Url::parse | ( | const std::string & | url | ) | `[inline]`

Definition at line 72 of file Url.h.

References parse().

Referenced by parse().

void qpid::Url::parseNoThrow | ( | const char * | url | ) |

Replace contesnts with parsed URL.

Replace with empty URL if invalid.

void qpid::Url::parseNoThrow | ( | const char * | url,
|  | const std::string & | defaultProtocol
| ) |  |

void qpid::Url::setPass | ( | const std::string & |  | ) |

void qpid::Url::setUser | ( | const std::string & |  | ) |

std::string qpid::Url::str | ( |  | ) | const

Convert to string form.

void qpid::Url::throwIfEmpty | ( |  | ) | const

Throw Invalid if the URL does not contain any addresses.

The documentation for this struct was generated from the following file:

- qpid/Url.h